diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
index 44c3bc9e1..42bbbff43 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
@@ -106,12 +106,12 @@ def csssnippets(self):
                 _=gettext
             ),
             render_template(
-                "view/css/view.css",
+                "views/css/view.css",
                 node_type=self.node_type,
                 _=gettext
             ),
             render_template(
-                "mview/css/mview.css",
+                "mviews/css/mview.css",
                 node_type='mview',
                 _=gettext
             )
@@ -189,7 +189,7 @@ def wrap(*args, **kwargs):
             _temp = self.pg_template_path(self.manager.version)
         self.template_path = self.template_initial + '/' + _temp
 
-        self.column_template_path = 'column/sql/#{0}#'.format(
+        self.column_template_path = 'columns/sql/#{0}#'.format(
             self.manager.version)
 
         return f(*args, **kwargs)
@@ -206,10 +206,6 @@ class ViewNode(PGChildNodeView, VacuumSettings):
     * __init__(**kwargs)
       - Method is used to initialize the ViewNode and it's base view.
 
-    * module_js()
-      - Request handler for module.js routes for the view node module
-      javascript, which returns javscript for this module.
-
     * list()
       - This function is used to list all the view nodes within the
       collection.
@@ -282,7 +278,6 @@ class ViewNode(PGChildNodeView, VacuumSettings):
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'configs': [{'get': 'configs'}],
         'get_tblspc': [{'get': 'get_tblspc'}, {'get': 'get_tblspc'}],
         'select_sql': [{'get': 'select_sql'}, {'get': 'select_sql'}],
@@ -305,7 +300,7 @@ def __init__(self, *args, **kwargs):
         self.manager = None
         self.conn = None
         self.template_path = None
-        self.template_initial = 'view'
+        self.template_initial = 'views'
 
     @staticmethod
     def ppas_template_path(ver):
@@ -1298,10 +1293,6 @@ class MViewNode(ViewNode, VacuumSettings):
     * __init__(**kwargs)
       - Method is used to initialize the MView and it's base view.
 
-    * module_js()
-      - This property defines (if javascript) exists for this node.
-        Override this property for your own logic
-
     * create(gid, sid, did, scid)
       - Raise an error - we cannot create a material view.
 
@@ -1327,7 +1318,7 @@ def __init__(self, *args, **kwargs):
 
         super(MViewNode, self).__init__(*args, **kwargs)
 
-        self.template_initial = 'mview'
+        self.template_initial = 'mviews'
 
     @staticmethod
     def ppas_template_path(ver):
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/__init__.py b/web/pgadmin/browser/server_groups/servers/resource_groups/__init__.py
index ea564b91b..9047b7f7f 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/__init__.py
@@ -129,10 +129,6 @@ class ResourceGroupView(NodeView)
     * __init__(**kwargs)
       - Method is used to initialize the ResourceGroupView and it's base view.
 
-    * module_js()
-      - This property defines (if javascript) exists for this node.
-        Override this property for your own logic
-
     * check_precondition()
       - This function will behave as a decorator which will checks
         database connection before running view, it will also attaches
@@ -191,8 +187,7 @@ class ResourceGroupView(NodeView)
         'msql': [{'get': 'msql'}, {'get': 'msql'}],
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
-        'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}]
+        'dependent': [{'get': 'dependents'}]
     })
 
     def __init__(self, **kwargs):
@@ -209,19 +204,6 @@ def __init__(self, **kwargs):
 
         super(ResourceGroupView, self).__init__(**kwargs)
 
-    def module_js(self):
-        """
-        This property defines (if javascript) exists for this node.
-        Override this property for your own logic.
-        """
-        return make_response(
-            render_template(
-                "resource_groups/js/resource_groups.js",
-                _=gettext
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(f):
         """
         This function will behave as a decorator which will checks
diff --git a/web/pgadmin/browser/server_groups/servers/roles/__init__.py b/web/pgadmin/browser/server_groups/servers/roles/__init__.py
index a92d9e40d..eb5dfc978 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/__init__.py
@@ -67,7 +67,7 @@ def csssnippets(self):
                 "browser/css/collection.css",
                 node_type=self.node_type
             ),
-            render_template("role/css/role.css")]
+            render_template("roles/css/role.css")]
 
         for submodule in self.submodules:
             snippets.extend(submodule.csssnippets)
@@ -108,7 +108,6 @@ class RoleView(PGChildNodeView):
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
         'children': [{'get': 'children'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'vopts': [{}, {'get': 'voptions'}],
         'variables': [{'get': 'variables'}],
     })
@@ -470,20 +469,13 @@ def wrapped(self, **kwargs):
                         _("Connection to the server has been lost.")
                     )
 
-                ver = self.manager.version
-
-                self.sql_path = 'role/sql/{0}/'.format(
-                    'post9_4' if ver >= 90500 else
-                    'post9_1' if ver >= 90200 else
-                    'post9_0' if ver >= 90100 else
-                    'post8_4'
-                )
+                self.sql_path = 'roles/sql/#{0}#'.format(self.manager.version)
 
                 self.alterKeys = [
                     u'rolcanlogin', u'rolsuper', u'rolcreatedb',
                     u'rolcreaterole', u'rolinherit', u'rolreplication',
                     u'rolconnlimit', u'rolvaliduntil', u'rolpassword'
-                ] if ver >= 90200 else [
+                ] if self.manager.version >= 90200 else [
                     u'rolcanlogin', u'rolsuper', u'rolcreatedb',
                     u'rolcreaterole', u'rolinherit', u'rolconnlimit',
                     u'rolvaliduntil', u'rolpassword'
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py b/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py
index 5317ea712..426ead52b 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py
@@ -89,25 +89,11 @@ class TablespaceView(PGChildNodeView):
         'stats': [{'get': 'statistics'}, {'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'vopts': [{}, {'get': 'variable_options'}],
         'move_objects': [{'put': 'move_objects'}],
         'move_objects_sql': [{'get': 'move_objects_sql'}],
     })
 
-    def module_js(self):
-        """
-        This property defines (if javascript) exists for this node.
-        Override this property for your own logic.
-        """
-        return make_response(
-            render_template(
-                "tablespaces/js/tablespaces.js",
-                _=gettext
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(f):
         """
         This function will behave as a decorator which will checks
diff --git a/web/pgadmin/browser/utils.py b/web/pgadmin/browser/utils.py
index 2fe2d9080..d2adcf4cd 100644
--- a/web/pgadmin/browser/utils.py
+++ b/web/pgadmin/browser/utils.py
@@ -289,18 +289,6 @@ def register_node_view(cls, blueprint):
                     methods=c['methods']
                 )
 
-    def module_js(self, **kwargs):
-        """
-        This property defines (if javascript) exists for this node.
-        Override this property for your own logic.
-        """
-        return flask.make_response(
-            flask.render_template(
-                "{0}/js/{0}.js".format(self.node_type)
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def children(self, *args, **kwargs):
         """Build a list of treeview nodes from the child nodes."""
         children = []
diff --git a/web/pgadmin/tools/sqleditor/__init__.py b/web/pgadmin/tools/sqleditor/__init__.py
index e979637d9..b99d1304d 100644
--- a/web/pgadmin/tools/sqleditor/__init__.py
+++ b/web/pgadmin/tools/sqleditor/__init__.py
@@ -444,7 +444,7 @@ def poll(trans_id):
                     command_obj = pickle.loads(session_obj['command_obj'])
                     if hasattr(command_obj, 'obj_id'):
                         # Get the template path for the column
-                        template_path = 'column/sql/#{0}#'.format(
+                        template_path = 'columns/sql/#{0}#'.format(
                             conn.manager.version
                         )
 
diff --git a/web/webpack.shim.js b/web/webpack.shim.js
index 53c00ba3e..0d86dcc89 100644
--- a/web/webpack.shim.js
+++ b/web/webpack.shim.js
@@ -264,7 +264,7 @@ var webpackShimConfig = {
     'pgadmin.node.trigger_function': path.join(__dirname, './pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function'),
     'pgadmin.node.type': path.join(__dirname, './pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type'),
     'pgadmin.node.unique_constraint': path.join(__dirname, './pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/js/unique_constraint'),
-    'pgadmin.node.user_mapping': path.join(__dirname, './pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/static/js/user_mapping'),
+    'pgadmin.node.user_mapping': path.join(__dirname, './pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mappings/static/js/user_mapping'),
     'pgadmin.node.view': path.join(__dirname, './pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/view'),
     'pgadmin.preferences': path.join(__dirname, './pgadmin/preferences/static/js/preferences'),
     'pgadmin.settings': path.join(__dirname, './pgadmin/settings/static/js/settings'),
